package de.intevation.flys.importer.parsers.tim;

public class Line {

    public Coordinate a;
    public Coordinate b;

    public Line() {
    }

    public Line(Coordinate a, Coordinate b) {
        this.a = a;
        this.b = b;
    }

    /** Project coordinate to line. */
    public double distanceToFirst(Coordinate c) {

        double nx = b.x - a.x;
        double ny = b.y - a.y;

        double len = Math.sqrt(nx*nx + ny*ny);

        nx /= len;
        ny /= len;

        double px = c.x - a.x;
        double py = c.y - a.y;

        return nx*px + ny*py;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
